%global pkg_name        WebService-Technorati
%global pkg_version     0.04
%global rpm_pkg_version 0.04
%global rpm_pkg_release 1.n0i.1

Summary:       A Perl interface to the Technorati web services interface
Name:          perl-%{pkg_name}
Version:       %{rpm_pkg_version}
Release:       %{rpm_pkg_release}%{?cpan_version}%{?dist}

Group:         Development/Libraries
License:       GPL+ or Artistic
URL:           http://search.cpan.org/dist/%{pkg_name}/
Source0:       http://www.cpan.org/modules/by-module/WebService/%{pkg_name}-%{pkg_version}.tar.gz

BuildArch:     noarch
BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: rpm-build-reb00t-perl
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Test::Simple)     >= 0.44
BuildRequires: perl(Exception::Class) >= 1.19
BuildRequires: perl(XML::XPath)       >= 1.13
BuildRequires: perl(AutoLoader)
BuildRequires: perl(HTTP::Request)
BuildRequires: perl(LWP::UserAgent)

Requires:      perl(Exception::Class) >= 1.19
Requires:      perl(XML::XPath)       >= 1.13
%global perl_filter_req 'perl\\((Exception::Class|XML::XPath)\\)$'


%description
The Technorati web services interfaces use REST wire protocol with a format
described at http://developers.technorati.com/


%prep
%setup -q -n %{pkg_name}-%{pkg_version}
%{fix_perl_path eg/}
%{fix_eol}


%build
%{perl_build}
%{!?_without_test:%{__make} test}


%install
%{__rm} -rf $RPM_BUILD_ROOT
%{perl_install}


%clean
%{__rm} -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%{perl_files -l}
%exclude %{perl_vendorlib}/WebService/pod2html.pl
%doc Changes eg/ LICENSE README Todo


%changelog
* Sun Oct 21 2007 Marius Feraru <altblue@n0i.net> - 0.04-1.n0i.1
- spec file (re)created using N0i::CPAN::RPMizer/1.14.11
- version 0.04
